## seqan 1.4.2+dfsg

=== CMakeLists.txt ===
# ===========================================================================
#                  SeqAn - The Library for Sequence Analysis
# ===========================================================================
# File: /CMakeLists.txt
#
# Main CMakeLists.txt file.
# ===========================================================================

project (seqan)

# ===========================================================================
# We require CMake 2.8.2.  Since it is available in the currently stable
# Debian, it should be available everywhere else, too.
# ===========================================================================

cmake_minimum_required (VERSION 2.8.2)

# ===========================================================================
# Iff the file INST or SUA exists in the source root
# turn on SeqAn instrumentation for experimental data collection.
# ===========================================================================

if (EXISTS ${CMAKE_SOURCE_DIR}/INST OR EXISTS ${CMAKE_SOURCE_DIR}/SUA OR EXISTS ${CMAKE_SOURCE_DIR}/../SUA)
  set (SEQAN_INSTRUMENTATION YES)
else (EXISTS ${CMAKE_SOURCE_DIR}/INST OR EXISTS ${CMAKE_SOURCE_DIR}/SUA OR EXISTS ${CMAKE_SOURCE_DIR}/../SUA)
  set (SEQAN_INSTRUMENTATION NO)
endif (EXISTS ${CMAKE_SOURCE_DIR}/INST OR EXISTS ${CMAKE_SOURCE_DIR}/SUA OR EXISTS ${CMAKE_SOURCE_DIR}/../SUA)


# ===========================================================================
# Warn People About the Perils Of In-Source Builds
# ===========================================================================

if (EXISTS "$CMAKE_BINARY_DIR/CMakeLists.txt")
  if (EXISTS "$CMAKE_BINARY_DIR/I_WANT_IN_SOURCE_BUILDS")
    set (IN_SOURCE_BUILD YES)
  else (EXISTS "$CMAKE_BINARY_DIR/I_WANT_IN_SOURCE_BUILDS")
    message ("CAUTION: In-source builds are not allowed by default!")
    message ("")
    message ("(If you want to use Eclipse and have read the 'Getting Started,")
    message ("with Eclipse Tutorial' then see the instructions below.)")
    message ("")
    message ("Instead of doing in source builds, go to into the directory build")
    message ("and call CMake from there.")
    message ("We recommend you to create an additional directory level, this")
    message ("allows you to have multiple build configurations (e.g. Debug,")
    message ("Release) or project types.")
    message ("")
    message ("  cd build")
    message ("  mkdir Debug")
    message ("  cd Debug")
    message ("  cmake ../.. -DCMAKE_BUILD_TYPE=Debug")
    message ("")
    message ("NOTE: CMake has created some files in this directory that you have")
    message ("to remove before executing the above commands.")
    message ("")
    message ("  [Linux, Mac Os X]  rm -rf CMakeCache.txt CMakeFiles")
    message ("  [Windows]          del CMakeCache.txt ; rmdir /S CMakeFiles")
    message ("")
    message ("If you want to use Eclipse then you might want to have in-source")
    message ("builds because of limitations of Eclipse CDT4.  In this case")
    message ("Create a file in this directory called I_WANT_IN_SOURCE_BUILDS:")
    message ("")
    message ("  [Linux, Mac Os X]  touch I_WANT_IN_SOURCE_BUILDS")
    message ("  [Windows]          type nul >> I_WANT_IN_SOURCE_BUILDS")
    message ("")
    message (FATAL_ERROR "Please follow the instructions above.")
  endif (EXISTS "$CMAKE_BINARY_DIR/I_WANT_IN_SOURCE_BUILDS")
endif (EXISTS "$CMAKE_BINARY_DIR/CMakeLists.txt")

# ===========================================================================
# Setup Variables
# ===========================================================================

if (NOT CMAKE_BUILD_TYPE)
    set (CMAKE_BUILD_TYPE Release CACHE STRING
         "Choose the type of build, options are: Debug Release RelWithDebInfo ..."
         FORCE)
endif (NOT CMAKE_BUILD_TYPE)

# Clear CTD executable list, will be set on reconfiguration.
set (SEQAN_CTD_EXECUTABLES CACHE INTERNAL "Global list of executables for workflow integration.")

# ===========================================================================
# Setup Modules and Find Packages.
# ===========================================================================

# Note that the find modules in util/make take precedence
# over the built-in ones from CMake.  This is used in
# FindBZip2, for example which we slightly modify.
set (CMAKE_MODULE_PATH
    ${CMAKE_CURRENT_SOURCE_DIR}/util/cmake/FindTBB
    ${CMAKE_CURRENT_SOURCE_DIR}/util/cmake
    ${CMAKE_MODULE_PATH})

#message (STATUS "CMAKE_MODULE_PATH is ${CMAKE_MODULE_PATH}")

# ===========================================================================
# Add contrib to CMAKE_FIND_ROOT_PATH.
# ===========================================================================

include (SeqAnContribs)

# ===========================================================================
# Build Mode Branches
# ===========================================================================

message (STATUS "Initializing SeqAn Build System...")

set (SEQAN_USE_SEQAN_BUILD_SYSTEM TRUE CACHE INTERNAL "Use SeqAn build system." FORCE)

#set (SEQAN_PREFIX_SHARE .)
include (SeqAnBuildSystem)
set (SEQAN_ROOT_SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}" CACHE INTERNAL "Root source directory." FORCE)
seqan_build_system_init ()
seqan_get_repository_info ()

# ===========================================================================
# Include Subdirectories
# ===========================================================================

message (STATUS "Configuring core")
add_subdirectory (core)
message (STATUS "Configuring extras")
add_subdirectory (extras)
message (STATUS "Configuring docs")
add_subdirectory (docs)
message (STATUS "Configuring manual")
add_subdirectory (manual)
message (STATUS "Configuring sandbox")
add_subdirectory (sandbox)
message (STATUS "Configuring util/py_lib")
add_subdirectory (util/py_lib)

# ===========================================================================
# Include CPack
# ===========================================================================

include (package)

# ===========================================================================
# Check Optional Libraries, Print Usage
# ===========================================================================

#include (FeatureSummary)

# ===========================================================================
# Setup Common Tool Description for Generic Workflow Nodes
# ===========================================================================

include (SeqAnCtdSetup)

=== core/CMakeLists.txt ===
# ===========================================================================
#                  SeqAn - The Library for Sequence Analysis
# ===========================================================================
# File: /core/CMakeLists.txt
#
# CMakeLists.txt file for core.
# ===========================================================================

cmake_minimum_required (VERSION 2.8.2)
project (seqan_core)

# Add the paths core/include and core/include to the paths that CMake
# searches for libraries.
set (CMAKE_INCLUDE_PATH ${CMAKE_INCLUDE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/include
                                              ${CMAKE_CURRENT_SOURCE_DIR}/../core/include)

# Setup the library modules from core.
seqan_setup_library (core core)

# Add subdirectory for apps.
add_subdirectory (apps)

# Demos are required when doing a Whole SeqAn Release (copy demos) or when
# developing (build demos).
if (("${SEQAN_BUILD_SYSTEM}" STREQUAL "SEQAN_RELEASE") OR
    ("${SEQAN_BUILD_SYSTEM}" STREQUAL "DEVELOP"))
    add_subdirectory (demos)
endif ()

# Tests are only built when building in DEVLOP mode.
if ("${SEQAN_BUILD_SYSTEM}" STREQUAL "DEVELOP")
    add_subdirectory (tests)
endif ()

=== core/tests/CMakeLists.txt ===
# ===========================================================================
#                  SeqAn - The Library for Sequence Analysis
# ===========================================================================
# File: /core/tests/CMakeLists.txt
#
# CMakeLists.txt file for core tests.
# ===========================================================================

cmake_minimum_required (VERSION 2.8.2)
project (seqan_core_tests)
message (STATUS "Configuring core/tests")

# Setup flags and register all subdirectories.
seqan_register_tests ()

=== util/py_lib/CMakeLists.txt ===
# ===========================================================================
#                  SeqAn - The Library for Sequence Analysis
# ===========================================================================
# File: /util/py_lib/CMakeLists.txt
#
# CMakeLists.txt file for Python stuff.
# ===========================================================================
# Kicks off tests using Python nosetests.
# ===========================================================================

# Look for Python and stop if it could not be found.
find_package (PythonInterp)

if (NOT PYTHONINTERP_FOUND)
  message (STATUS "  Python not found, cannot test py_lib.")
  return ()
endif (NOT PYTHONINTERP_FOUND)

# Look for nosetests and stop if it cannot be found
execute_process(COMMAND ${PYTHON_EXECUTABLE} -m "nose"
                RESULT_VARIABLE PYTHON_NOSETESTS_NOT_FOUND
                OUTPUT_VARIABLE _IGNORED
                ERROR_VARIABLE _IGNORED)

if (PYTHON_NOSETESTS_NOT_FOUND)
  message (STATUS "  Python nosetests ('import nose' failed), cannot add tests for seqan.dox")
  return ()
endif (PYTHON_NOSETESTS_NOT_FOUND)

# Adding test for dox.
message (STATUS "  adding nosetests for seqan.dox")
add_test (NAME test_py_lib_dox
          COMMAND nosetests
          WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/seqan/dox)

=== core/demos/howto/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (seqan_core_demos_howto)

seqan_setup_apps(core_demos_howto)
seqan_add_all_executables(core_demos_howto howto_)

seqan_add_all_subdirectories()

=== core/tests/align/CMakeLists.txt ===
# ===========================================================================
#                  SeqAn - The Library for Sequence Analysis
# ===========================================================================
# File: /core/tests/align/CMakeLists.txt
#
# CMakeLists.txt file for the align module tests.
# ===========================================================================

cmake_minimum_required (VERSION 2.8.2)
project (seqan_core_tests_align)
message (STATUS "Configuring core/tests/align")

# ----------------------------------------------------------------------------
# Dependencies
# ----------------------------------------------------------------------------

# Search SeqAn and select dependencies.
set (SEQAN_FIND_DEPENDENCIES NONE)
find_package (SeqAn REQUIRED)

# ----------------------------------------------------------------------------
# Build Setup
# ----------------------------------------------------------------------------

# Add include directories.
include_directories (${SEQAN_INCLUDE_DIRS})

# Add definitions set by find_package (SeqAn).
add_definitions (${SEQAN_DEFINITIONS})

# Update the list of file names below if you add source files to your test.
add_executable (test_align
               test_align.cpp
               test_align_stream.h
               test_align_gaps.h
               test_align_gaps_iterator.h
               test_alignment_dp_band.h
               test_alignment_dp_formula.h
               test_alignment_dp_cell.h
               test_alignment_dp_profile.h
               test_alignment_dp_matrix.h
               test_alignment_dp_matrix_navigator.h
               test_alignment_dp_trace_segment.h
               test_alignment_dp_adapt_tracesegments.h
               test_alignment_dp_traceback.h
               test_alignment_algorithms_band_position.h
               test_alignment_algorithms_global.h
               test_alignment_algorithms_local.h
               test_alignment_algorithms_global_banded.h
               test_alignment_algorithms_local_banded.h
               test_align_global_alignment_specialized.h
               test_evaluate_alignment.h)

# Add dependencies found by find_package (SeqAn).
target_link_libraries (test_align ${SEQAN_LIBRARIES})

# Add CXX flags found by find_package (SeqAn).
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${SEQAN_CXX_FLAGS}")

# ----------------------------------------------------------------------------
# Register with CTest
# ----------------------------------------------------------------------------

add_test (NAME test_test_align COMMAND $<TARGET_FILE:test_align>)

=== core/tests/bam_io/CMakeLists.txt ===
# ===========================================================================
#                  SeqAn - The Library for Sequence Analysis
# ===========================================================================
# File: /core/tests/bam_io/CMakeLists.txt
#
# CMakeLists.txt file for the bam_io module tests.
# ===========================================================================

cmake_minimum_required (VERSION 2.8.2)
project (seqan_core_tests_bam_io)
message (STATUS "Configuring core/tests/bam_io")

# ----------------------------------------------------------------------------
# Dependencies
# ----------------------------------------------------------------------------

# Search SeqAn and select dependencies.
set (SEQAN_FIND_DEPENDENCIES ZLIB)
find_package (SeqAn REQUIRED)

# ----------------------------------------------------------------------------
# Build Setup
# ----------------------------------------------------------------------------

# Add include directories.
include_directories (${SEQAN_INCLUDE_DIRS})

# Add definitions set by find_package (SeqAn).
add_definitions (${SEQAN_DEFINITIONS})

# Update the list of file names below if you add source files to your test.
add_executable (test_bam_io
               test_bam_io.cpp
               test_bam_alignment_record.h
               test_bam_header_record.h
               test_bam_io_context.h
               test_bam_sam_conversion.h
               test_bam_tags_dict.h
               test_read_sam.h
               test_write_bam.h
               test_write_sam.h
               test_bam_stream.h)

# Add dependencies found by find_package (SeqAn).
target_link_libraries (test_bam_io ${SEQAN_LIBRARIES})

# Add CXX flags found by find_package (SeqAn).
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${SEQAN_CXX_FLAGS}")

# ----------------------------------------------------------------------------
# Register with CTest
# ----------------------------------------------------------------------------

add_test (NAME test_test_bam_io COMMAND $<TARGET_FILE:test_bam_io>)

=== core/tests/consensus/CMakeLists.txt ===
# ===========================================================================
#                  SeqAn - The Library for Sequence Analysis
# ===========================================================================
# File: /core/tests/consensus/CMakeLists.txt
#
# CMakeLists.txt file for the consensus module tests.
# ===========================================================================

cmake_minimum_required (VERSION 2.8.2)
project (seqan_core_tests_consensus)
message (STATUS "Configuring core/tests/consensus")

# ----------------------------------------------------------------------------
# Dependencies
# ----------------------------------------------------------------------------

# Search SeqAn and select dependencies.
set (SEQAN_FIND_DEPENDENCIES NONE)
find_package (SeqAn REQUIRED)

# ----------------------------------------------------------------------------
# Build Setup
# ----------------------------------------------------------------------------

# Add include directories.
include_directories (${SEQAN_INCLUDE_DIRS})

# Add definitions set by find_package (SeqAn).
add_definitions (${SEQAN_DEFINITIONS})

# Update the list of file names below if you add source files to your test.
add_executable (test_consensus test_consensus.cpp test_consensus.h test_consensus_realign.h)

# Add dependencies found by find_package (SeqAn).
target_link_libraries (test_consensus ${SEQAN_LIBRARIES})

# Add CXX flags found by find_package (SeqAn).
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${SEQAN_CXX_FLAGS}")

# ----------------------------------------------------------------------------
# Register with CTest
# ----------------------------------------------------------------------------

add_test (NAME test_test_consensus COMMAND $<TARGET_FILE:test_consensus>)

=== core/tests/find/CMakeLists.txt ===
# ===========================================================================
#                  SeqAn - The Library for Sequence Analysis
# ===========================================================================
# File: /core/tests/find/CMakeLists.txt
#
# CMakeLists.txt file for the find module tests.
# ===========================================================================

cmake_minimum_required (VERSION 2.8.2)
project (seqan_core_tests_find)
message (STATUS "Configuring core/tests/find")

# ----------------------------------------------------------------------------
# Dependencies
# ----------------------------------------------------------------------------

# Search SeqAn and select dependencies.
set (SEQAN_FIND_DEPENDENCIES NONE)
find_package (SeqAn REQUIRED)

# ----------------------------------------------------------------------------
# Build Setup
# ----------------------------------------------------------------------------

# Add include directories.
include_directories (${SEQAN_INCLUDE_DIRS})

# Add definitions set by find_package (SeqAn).
add_definitions (${SEQAN_DEFINITIONS})

# Update the list of file names below if you add source files to your test.
add_executable (test_find
               test_find.cpp
               test_find_hamming.h
               test_find_myers_banded.h)

# Add dependencies found by find_package (SeqAn).
target_link_libraries (test_find ${SEQAN_LIBRARIES})

# Add CXX flags found by find_package (SeqAn).
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${SEQAN_CXX_FLAGS}")

# ----------------------------------------------------------------------------
# Register with CTest
# ----------------------------------------------------------------------------

add_test (NAME test_test_find COMMAND $<TARGET_FILE:test_find>)

=== core/tests/graph_align/CMakeLists.txt ===
# ===========================================================================
#                  SeqAn - The Library for Sequence Analysis
# ===========================================================================
# File: /core/tests/graph_align/CMakeLists.txt
#
# CMakeLists.txt file for the graph_align module tests.
# ===========================================================================

cmake_minimum_required (VERSION 2.8.2)
project (seqan_core_tests_graph_align)
message (STATUS "Configuring core/tests/graph_align")

# ----------------------------------------------------------------------------
# Dependencies
# ----------------------------------------------------------------------------

# Search SeqAn and select dependencies.
set (SEQAN_FIND_DEPENDENCIES NONE)
find_package (SeqAn REQUIRED)

# ----------------------------------------------------------------------------
# Build Setup
# ----------------------------------------------------------------------------

# Add include directories.
include_directories (${SEQAN_INCLUDE_DIRS})

# Add definitions set by find_package (SeqAn).
add_definitions (${SEQAN_DEFINITIONS})

# Update the list of file names below if you add source files to your test.
add_executable (test_graph_align
               test_graph_align.cpp
               test_graph_impl_align.h
               test_graph_match_refinement.h)

# Add dependencies found by find_package (SeqAn).
target_link_libraries (test_graph_align ${SEQAN_LIBRARIES})

# Add CXX flags found by find_package (SeqAn).
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${SEQAN_CXX_FLAGS}")

# ----------------------------------------------------------------------------
# Register with CTest
# ----------------------------------------------------------------------------

add_test (NAME test_test_graph_align COMMAND $<TARGET_FILE:test_graph_align>)

=== core/tests/graph_msa/CMakeLists.txt ===
# ===========================================================================
#                  SeqAn - The Library for Sequence Analysis
# ===========================================================================
# File: /core/tests/graph_msa/CMakeLists.txt
#
# CMakeLists.txt file for the graph_msa module tests.
# ===========================================================================

cmake_minimum_required (VERSION 2.8.2)
project (seqan_core_tests_graph_msa)
message (STATUS "Configuring core/tests/graph_msa")

# ----------------------------------------------------------------------------
# Dependencies
# ----------------------------------------------------------------------------

# Search SeqAn and select dependencies.
set (SEQAN_FIND_DEPENDENCIES NONE)
find_package (SeqAn REQUIRED)

# ----------------------------------------------------------------------------
# Build Setup
# ----------------------------------------------------------------------------

# Add include directories.
include_directories (${SEQAN_INCLUDE_DIRS})

# Add definitions set by find_package (SeqAn).
add_definitions (${SEQAN_DEFINITIONS})

# Update the list of file names below if you add source files to your test.
add_executable (test_graph_msa
               test_graph_msa.cpp
               test_graph_msa_guide_tree.h
               test_graph_tcoffee.h)

# Add dependencies found by find_package (SeqAn).
target_link_libraries (test_graph_msa ${SEQAN_LIBRARIES})

# Add CXX flags found by find_package (SeqAn).
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${SEQAN_CXX_FLAGS}")

# ----------------------------------------------------------------------------
# Register with CTest
# ----------------------------------------------------------------------------

add_test (NAME test_test_graph_msa COMMAND $<TARGET_FILE:test_graph_msa>)

=== core/tests/map/CMakeLists.txt ===
# ===========================================================================
#                  SeqAn - The Library for Sequence Analysis
# ===========================================================================
# File: /core/tests/map/CMakeLists.txt
#
# CMakeLists.txt file for the map module tests.
# ===========================================================================

cmake_minimum_required (VERSION 2.8.2)
project (seqan_core_tests_map)
message (STATUS "Configuring core/tests/map")

# ----------------------------------------------------------------------------
# Dependencies
# ----------------------------------------------------------------------------

# Search SeqAn and select dependencies.
set (SEQAN_FIND_DEPENDENCIES NONE)
find_package (SeqAn REQUIRED)

# ----------------------------------------------------------------------------
# Build Setup
# ----------------------------------------------------------------------------

# Add include directories.
include_directories (${SEQAN_INCLUDE_DIRS})

# Add definitions set by find_package (SeqAn).
add_definitions (${SEQAN_DEFINITIONS})

# Update the list of file names below if you add source files to your test.
add_executable (test_map
               test_map.cpp
               test_map_map.h
               test_map_sumlist.h)

# Add dependencies found by find_package (SeqAn).
target_link_libraries (test_map ${SEQAN_LIBRARIES})

# Add CXX flags found by find_package (SeqAn).
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${SEQAN_CXX_FLAGS}")

# ----------------------------------------------------------------------------
# Register with CTest
# ----------------------------------------------------------------------------

add_test (NAME test_test_map COMMAND $<TARGET_FILE:test_map>)

=== debian/changelog ===
seqan (1.4.2+dfsg-3) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jul 2018 12:21:54 +0200

seqan (1.4.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Declare Conflicts: with libseqan2-dev (API incompatible)
    See https://github.com/seqan/seqan/issues/1820 for upstream discussion.
    Addresses #838340.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 23 Sep 2016 14:20:09 +0000

seqan (1.4.2+dfsg-1) unstable; urgency=medium

  [Andreas Tille] 
  * New upstream version
    Closes: #766741
  * Moved packaging to Git
  * Adapt watch file to fetch only seqan 1.x series
  * Update list of uploaders
  * Add compression option to watch file
  * Remove extras and core/apps from upstream source since these will be taken
    from seqan2 series (when doing so remove other unneeded stuff and binary
    files)
  * Add README.source to explain removals
  * Moved debian/upstream to debian/upstream/metadata
  * Drop documentation since developers should rather use seqan2
    Closes: #816988, #809058
  * Install cmake files
    Closes: #818088
 
  [Gert Wollny]
  * d/rules: Add -DNDEBUG to CXXFLAGS, Closes: #811841 
  * d/rules: enable parallel build

 -- Andreas Tille <tille@debian.org>  Tue, 02 Aug 2016 15:58:06 +0200

=== debian/control ===
Source: seqan
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Michael R. Crusoe <crusoe@ucdavis.edu>,
           Kevin Murray <spam@kdmurray.id.au>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               cmake,
               zlib1g-dev,
               libbam-dev,
               libboost-dev,
               dh-exec,
               help2man,
               python
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/med-team/seqan
Vcs-Git: https://salsa.debian.org/med-team/seqan.git
Homepage: http://www.seqan.de/

Package: seqan-dev
Architecture: all
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libseqan2-dev
Description: C++ library for the analysis of biological sequences (development)
 SeqAn is a C++ template library of efficient algorithms and data
 structures for the analysis of sequences with the focus on
 biological data. This library applies a unique generic design that
 guarantees high performance, generality, extensibility, and
 integration with other libraries. SeqAn is easy to use and
 simplifies the development of new software tools with a minimal loss
 of performance.
 .
 This package contains the developer files, documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# Droping -fstack-protector flag helps **drastically** reducing memory consumption when building the package!!!!
# export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS | sed 's/-fstack-protector *//')  ## this simply tiggers #759978
export DEB_BUILD_MAINT_OPTIONS = hardening=-stackprotector
# alternatively: export DEB_CXXFLAGS_STRIP='-fstack-protector'

DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

DEB_BUILD_ARCH          ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
ifneq (,$(filter $(DEB_BUILD_ARCH),mips mipsel))
    export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS | sed 's/-O[1-9]//') -O0 -mxgot
endif

export DEB_CXXFLAGS_MAINT_APPEND  += -DNDEBUG

%:
	dh $@

override_dh_install:
	dh_install
	# ------------------------------------------------------------------
	# Delete additional LICENSE files
	if [ -d $(CURDIR)/debian/seqan-dev ] ; then \
	    find $(CURDIR)/debian/seqan-dev  -type f -name LICENSE -delete ; \
	    # Delete *.pyc files that somehow end up in seqan-dev documentation \
	    find $(CURDIR)/debian/seqan-dev -type f -name "*.pyc" -delete ; \
	fi

override_dh_auto_clean:
	dh_auto_clean
	find . -type f -name "*.pyc" -delete
	if [ -d orig ] ; then \
	  for header in `find orig -name "*generated_forwards.h"` ; do \
	    mv $${header} `echo $$header | sed 's?orig/??'` ; \
	  done ; \
	fi
	rm -rf orig

override_dh_auto_test:
# Run test suite only on powerfull architectures (amd64) at build time
ifneq (,$(filter $(DEB_HOST_ARCH),amd64 kfreebsd-amd64))
	dh_auto_test
else
	echo "Do not run test suite when building on architecture $(DEB_HOST_ARCH)"
endif

override_dh_fixperms:
	dh_fixperms
	find debian/*/usr/lib/cmake -type f -exec chmod -x \{\} \;

=== debian/watch ===
version=3

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  http://packages.seqan.de/ .*/seqan-src-(1[.\d]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
